Subject: Re: bug#37337: [PATCH] Fix bug in `TeX-fold-hide-item' when acting on evaporated overlays

From: Arash Esbati <[email-masked]>
Date: Sat, 26 Oct 2019 13:00:04 +0200

Hi Florent,

Florent Rougon <[email-masked]> writes:

> Arash Esbati <[email-masked]> wrote:
>
>> Many thanks for tracking this down.  I can confirm the bug you describe,
>> and have a question reg. your patch: If it's only about checking if
>> `overlay-start' and `overlay-end' are non-nil, wouldn't it be easier to
>> do:
>>
>>     (when (and ov-start ov-end) ...)
>>
>> instead of
>>
>>     (unless (equal ov-start ov-end) ...)
>
> I don't program in ELisp every day (far from it)

Same here, so no worries :-)

> but AFAIK, the two tests are logically equivalent in this context,
> since the overlay has the 'evaporate' property. But I guess you
> already realized that, just wanted to be clear. So, unless I am
> mistaken, this is only a matter of style. I'm quite fine with your
> test, it puts the emphasis on necessary conditions for the following
> code to behave well, I have no problem with that. :-)

Thanks for your response.  I've installed a modified patch and used most
parts of your ChangeLog entry[1].  Again, thanks for tracking this
down.  I'm closing this report.

Best, Arash

Footnotes:
[1]  http://git.savannah.gnu.org/cgit/auctex.git/commit/?id=342fa714ae53c6e4ffd248310bb201bb97e2a9c0